Last Comment Bug 752389 - Launching any application attaches a /undefined to the end of the URL
: Launching any application attaches a /undefined to the end of the URL
Status: VERIFIED FIXED
[Phase1]
: regression
Product: Core
Classification: Components
Component: DOM: Core & HTML (show other bugs)
: 15 Branch
: All All
: -- critical (vote)
: mozilla15
Assigned To: Vivien Nicolas (:vingtetun) (:21) - (NOT reading bugmails, needinfo? please)
:
: Andrew Overholt [:overholt]
Mentors:
Depends on:
Blocks: 748858
  Show dependency treegraph
 
Reported: 2012-05-06 18:33 PDT by Jason Smith [:jsmith]
Modified: 2012-06-02 10:00 PDT (History)
6 users (show)
ryanvm: in‑testsuite?
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
verified
verified
-


Attachments
Patch (1.40 KB, patch)
2012-05-08 10:00 PDT, Vivien Nicolas (:vingtetun) (:21) - (NOT reading bugmails, needinfo? please)
fabrice: review+
Details | Diff | Splinter Review

Description Jason Smith [:jsmith] 2012-05-06 18:33:12 PDT
Steps:

1. Go to apps.mozillalabs.com/appdir
2. Install an application (e.g. BarFight, Dave's Galaxy)
3. Go to about:apps
4. Launch the application

Expected:

The application should start on the launch_path off the origin of the app manifest.

Actual:

The application launches with a URL as follows:

origin/<launch_path>/undefined

This results in many apps reporting errors upon launch (e.g. 404 not found).
Comment 2 Jason Smith [:jsmith] 2012-05-06 19:38:04 PDT
Clarifying title - This applies to launching any application (about:apps or homescreen shortcut) on fennec native nightly on a samsung galaxy nexus. This does not reproduce on fennec native aurora.
Comment 3 Aaron Train [:aaronmt] 2012-05-06 19:44:18 PDT
Vivien, bug 748858? https://bugzilla.mozilla.org/attachment.cgi?id=618359&action=diff :)
Comment 4 Mark Finkle (:mfinkle) (use needinfo?) 2012-05-06 20:46:29 PDT
doesn't block
Comment 5 Jason Smith [:jsmith] 2012-05-07 21:29:38 PDT
Nominating for k9o, as this relates to basic smoke test functionality not working with the android web runtime in fennec native.
Comment 6 Jason Smith [:jsmith] 2012-05-08 09:56:54 PDT
Note - This bug reproduces on desktop as well when you launch a chromefull application through myapps.mozillalabs.com. This isn't a fennec native-specific bug - this is a cross-cutting bug that busts chromefull application launch.
Comment 7 Vivien Nicolas (:vingtetun) (:21) - (NOT reading bugmails, needinfo? please) 2012-05-08 10:00:43 PDT
Created attachment 622020 [details] [diff] [review]
Patch
Comment 8 [:fabrice] Fabrice Desré 2012-05-08 10:06:20 PDT
Comment on attachment 622020 [details] [diff] [review]
Patch

Review of attachment 622020 [details] [diff] [review]:
-----------------------------------------------------------------

r=me but don't push your changes to SystemWorkerManager.cpp
Comment 9 Vivien Nicolas (:vingtetun) (:21) - (NOT reading bugmails, needinfo? please) 2012-05-08 10:20:58 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/24cf58c37749
Comment 10 Ryan VanderMeulen [:RyanVM] 2012-05-08 18:45:35 PDT
https://hg.mozilla.org/mozilla-central/rev/24cf58c37749

Should this have a test?
Comment 11 Aaron Train [:aaronmt] 2012-06-02 10:00:38 PDT
Verified Fixed

Via:
--
Nightly (06/02), Aurora (06/02)
Samsung Galaxy Nexus (Android 4.0.4)

Note You need to log in before you can comment on or make changes to this bug.